Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class AbstractDocument.DocumentConfiguration

    java.lang.Object
      org.apache.batik.dom.AbstractDocument.DocumentConfiguration

All Implemented Interfaces:
  DOMConfiguration

Enclosing class:
  AbstractDocument

    protected class AbstractDocument.DocumentConfiguration

extends Object
implements DOMConfiguration

DOMConfiguration for this document.

Nested Class Summary
`protected class` | `AbstractDocument.DocumentConfiguration.ParameterNameList` Class to expose the parameter names.

Field Summary
`protected Map` | `booleanParamIndexes` Map of parameter names to array indexes.
`protected String[]` | `booleanParamNames` The boolean parameter names.
`protected boolean[]` | `booleanParamReadOnly` The read-onlyness of the boolean parameters.
`protected boolean[]` | `booleanParamValues` The boolean parameter values.
`protected Object` | `errorHandler` Value of the 'error-handler' parameter.
`protected AbstractDocument.DocumentConfiguration.ParameterNameList` | `paramNameList` The DOMStringList object containing the parameter names.

Constructor Summary
`protected` | `AbstractDocument.DocumentConfiguration()`

Method Summary
`boolean` | `canSetParameter(String name, Object value)` Returns whether the given parameter can be set to the given value.
`boolean` | `getBooleanParameter(String name)` Gets the boolean value of the given parameter.
`Object` | `getParameter(String name)` Gets the value of the given parameter.
`DOMStringList` | `getParameterNames()` Returns a DOMStringList of parameter names.
`void` | `setParameter(String name, Object value)` Sets the given parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### booleanParamNames

    protected String[] booleanParamNames

  The boolean parameter names.

### booleanParamValues

    protected boolean[] booleanParamValues

  The boolean parameter values.

### booleanParamReadOnly

    protected boolean[] booleanParamReadOnly

  The read-onlyness of the boolean parameters.

### booleanParamIndexes

    protected Map booleanParamIndexes

  Map of parameter names to array indexes.

### errorHandler

    protected Object errorHandler

  Value of the 'error-handler' parameter.

### paramNameList

    protected AbstractDocument.DocumentConfiguration.ParameterNameList paramNameList

  The DOMStringList object containing the parameter names.

Constructor Detail

### AbstractDocument.DocumentConfiguration

    protected AbstractDocument.DocumentConfiguration()

Method Detail

### setParameter

    public void setParameter(String name,
                             Object value)

  Sets the given parameter.

  Specified by:
    `setParameter` in interface `DOMConfiguration`

### getParameter

    public Object getParameter(String name)

  Gets the value of the given parameter.

  Specified by:
    `getParameter` in interface `DOMConfiguration`

### getBooleanParameter

    public boolean getBooleanParameter(String name)

  Gets the boolean value of the given parameter.

### canSetParameter

    public boolean canSetParameter(String name,
                                   Object value)

  Returns whether the given parameter can be set to the given value.

  Specified by:
    `canSetParameter` in interface `DOMConfiguration`

### getParameterNames

    public DOMStringList getParameterNames()

  Returns a DOMStringList of parameter names.

  Specified by:
    `getParameterNames` in interface `DOMConfiguration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.